Freeciv-3.1: tab_multiplier Class Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Public Member Functions | Private Slots | Private Member Functions | Private Attributes
tab_multiplier Class Reference

`#include <tab_multiplier.h>`

Inheritance diagram for tab_multiplier:

## Public Member Functions

| tab_multiplier (ruledit_gui *ui_in)
void | refresh ()

## Private Slots

void | name_given ()
void | select_multiplier ()
void | add_now ()
void | delete_now ()
void | same_name_toggle (bool checked)
void | edit_reqs ()

## Private Member Functions

void | update_multiplier_info (struct multiplier *pmul)
bool | initialize_new_multiplier (struct multiplier *pmul)

## Private Attributes

ruledit_gui * | ui
QLineEdit * | name
QLineEdit * | rname
QListWidget * | mpr_list
QCheckBox * | same_name
struct multiplier * | selected

## Detailed Description

Definition at line 30 of file tab_multiplier.h.

## Constructor & Destructor Documentation

## ◆ tab_multiplier()

tab_multiplier::tab_multiplier | ( | ruledit_gui * | ui_in | ) |

explicit

Setup tab_multiplier object

Definition at line 46 of file tab_multiplier.cpp.

## Member Function Documentation

## ◆ add_now

void tab_multiplier::add_now | ( |  | ) |

privateslot

User requested new multiplier

Definition at line 233 of file tab_multiplier.cpp.

Referenced by tab_multiplier().

## ◆ delete_now

void tab_multiplier::delete_now | ( |  | ) |

privateslot

User requested multiplier deletion

Definition at line 199 of file tab_multiplier.cpp.

Referenced by tab_multiplier().

## ◆ edit_reqs

void tab_multiplier::edit_reqs | ( |  | ) |

privateslot

User wants to edit reqs

Definition at line 281 of file tab_multiplier.cpp.

Referenced by tab_multiplier().

## ◆ initialize_new_multiplier()

bool tab_multiplier::initialize_new_multiplier | ( | struct multiplier * | pmul | ) |

private

Initialize new multiplier for use.

Definition at line 219 of file tab_multiplier.cpp.

Referenced by add_now().

## ◆ name_given

void tab_multiplier::name_given | ( |  | ) |

privateslot

User entered name for the multiplier

Definition at line 167 of file tab_multiplier.cpp.

Referenced by tab_multiplier().

## ◆ refresh()

void tab_multiplier::refresh | ( |  | ) |

Refresh the information.

Definition at line 109 of file tab_multiplier.cpp.

Referenced by add_now(), delete_now(), ruledit_gui::launch_now(), name_given(), and tab_multiplier().

## ◆ same_name_toggle

void tab_multiplier::same_name_toggle | ( | bool | checked | ) |

privateslot

Toggled whether rule_name and name should be kept identical

Definition at line 270 of file tab_multiplier.cpp.

Referenced by tab_multiplier().

## ◆ select_multiplier

void tab_multiplier::select_multiplier | ( |  | ) |

privateslot

User selected multiplier from the list.

Definition at line 152 of file tab_multiplier.cpp.

Referenced by tab_multiplier().

## ◆ update_multiplier_info()

void tab_multiplier::update_multiplier_info | ( | struct multiplier * | pmul | ) |

private

Update info of the multiplier

Definition at line 124 of file tab_multiplier.cpp.

Referenced by add_now(), delete_now(), select_multiplier(), and tab_multiplier().

## Field Documentation

## ◆ mpr_list

QListWidget* tab_multiplier::mpr_list

private

Definition at line 45 of file tab_multiplier.h.

Referenced by refresh(), select_multiplier(), and tab_multiplier().

## ◆ name

QLineEdit* tab_multiplier::name

private

Definition at line 43 of file tab_multiplier.h.

Referenced by name_given(), same_name_toggle(), tab_multiplier(), and update_multiplier_info().

## ◆ rname

QLineEdit* tab_multiplier::rname

private

Definition at line 44 of file tab_multiplier.h.

Referenced by name_given(), same_name_toggle(), tab_multiplier(), and update_multiplier_info().

## ◆ same_name

QCheckBox* tab_multiplier::same_name

private

Definition at line 46 of file tab_multiplier.h.

Referenced by name_given(), tab_multiplier(), and update_multiplier_info().

## ◆ selected

struct multiplier* tab_multiplier::selected

private

Definition at line 48 of file tab_multiplier.h.

Referenced by delete_now(), edit_reqs(), name_given(), tab_multiplier(), and update_multiplier_info().

## ◆ ui

ruledit_gui* tab_multiplier::ui

private

Definition at line 39 of file tab_multiplier.h.

Referenced by delete_now(), edit_reqs(), name_given(), and tab_multiplier().